% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LAP.R
\name{LAP}
\alias{LAP}
\title{Locally Aggregated Probabilities (LAP) for LSMNP}
\usage{
LAP(k.index, obj, burnin = 0, Thin = 1)
}
\arguments{
\item{k.index}{A Kx1 integer vector giving the IDs of the respondents.  Should be the same length as A.}

\item{obj}{An object returned from LSMNPGibbs()}

\item{burnin}{Integer. The number of initial MCMC iterations to throw out.}

\item{Thin}{The number by which to thin the MCMC chain.}
}
\value{
A list with the four LAPS: row dominated, column dominated, intersection, and union LAP.
}
\description{
This function computes the LAPs from an LSMNP model fit.
}
\details{
Returns the row dominated, column dominated, intersection, and union LAP from an LSMNP object.
}
