\name{LSMNP-package}
\alias{LSMNP-package}
\alias{LSMNP}
\docType{package}
\title{
LSMNP Package
}
\description{
Latent space model for network perception data.
}
\author{
Maintainer: LSMNP
}
\references{
Sewell, D.K. 2019+.  Latent Space Models for Network Perception Data.  Under review at \emph{Network Science}.
}
\keyword{ LSMNP }
\examples{
\dontrun{
fit = LSMNPGibbs(A=A,X=X,p=pp,nsims=1e4-1e3,Thin = 1e3,burnin=1e3,autoTune=3)
    temp = postProcessZ(fit,burnin=1e3)
    fit$BzProcessed = temp$BzProcessed
    fit$ZProcessed = temp$ZProcessed
    fit.pm = getPostMean(fit,type="Z",burnin=1e3)
    fit.DIC = DIC.LSMNP(A,1:21,fit,burnin=1e3)
    fit.LAP = LAP(1:21,fit,burnin=1e3)
}
}
