% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LogLik.R
\name{LogLik}
\alias{LogLik}
\title{LSMNP Log Likelihood}
\usage{
LogLik(A, Aind = NULL, k.index, alphak, ss, rr, Z, b0k, b1, tau = NULL)
}
\arguments{
\item{A}{A list of nxn adjacency matrices}

\item{k.index}{A Kx1 integer vector giving the IDs of the respondents.  Should be the same length as A.}

\item{alphak}{A Kx1 numeric vector}

\item{ss}{A nx1 numeric vector}

\item{rr}{A nx1 numeric vector}

\item{Z}{A nxp matrix}

\item{b0k}{A Kx1 numeric vector}

\item{b1}{A scalar}

\item{tau}{(optional) A nxnxK array}

\item{A.ind}{(optional) A list of length K, each element is itself a list of length two, the first element being the indices of A[[k]] equaling 1, the second being the indices of A[[k]] equaling 0 (excluding diagonal elements).}
}
\value{
A scalar providing the log posterior.
}
\description{
Log posterior for LSMNP
}
\details{
This function evaluates the log likelihood for the LSMNP model.  Primarily for internal use.
}
